Bug 415651 - Absolute icon path in gucharmap desktop file breaks themeability
Absolute icon path in gucharmap desktop file breaks themeability
Product: Fedora
Classification: Fedora
Component: gucharmap (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-07 08:57 EST by Joachim Frieben
Modified: 2008-02-05 12:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 12:20:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-12-07 08:57:00 EST
Description of problem:
After upgrading to the latest gucharmap package, GNOME menu item
"Applications > Accessories > Character Map" sports a stock GNOME
icon even though the chosen icon theme is Bluecurve.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade to gucharmap-2.21.3-1.fc9.
2. Set icon theme to Bluecurve.

Actual results:
Menu item "Applications > Accessories > Character Map" uses a stock
GNOME icon.

Expected results:
Menu item "Applications > Accessories > Character Map" uses a suitable
Bluecurve icon [as it did before].

Additional info:
This used to work for earlier versions of the gucharmap package.
The reason for the current misbehaviour is an absolute icon path
in the corresponding desktop file gnome-gucharmap.desktop. By
changing "Icon=/usr/share/icons/hicolor/48x48/apps/gucharmap.png"
to "Icon=gucharmap.png", the correct behaviour is restored. Please
change gnome-gucharmap.desktop accordingly.
Comment 1 Matthias Clasen 2007-12-07 10:29:12 EST
Icon=gucharmap.png is verboten according to the latest desktop-file-utils, which
is why I changed it in the first place. If somebody wants to change it to
Icon=gucharmap without the extension, that is fine with me.
Comment 2 Joachim Frieben 2007-12-07 15:02:45 EST
Macht nichts: "Icon=gucharmap" works equally well. Please go ahead ..
Comment 3 Joachim Frieben 2008-01-15 12:21:15 EST
Still broken in gucharmap-2.21.5-1.fc9.
Comment 4 Matthias Clasen 2008-01-15 12:58:52 EST
Please file an upstream bug and attach the patch there. Thanks
Comment 5 Joachim Frieben 2008-01-15 13:27:24 EST
Upstream bug report: https://bugzilla.gnome.org/show_bug.cgi?id=509718
Comment 6 Joachim Frieben 2008-01-15 13:52:10 EST
Upstream has changed "Icon=gucharmap.png" to "Icon=gucharmap". This
should prevent your sed transformation from inserting an absolute
path, right? I suppose the next round of gucharmap-2.21.x will build
correctly then.
Comment 7 Matthias Clasen 2008-02-05 12:20:20 EST
Yes, looks fixed to me, modulo conversion to an icon-naming-spec standard name,
but thats an upstream issue.

Note You need to log in before you can comment on or make changes to this bug.